Package org.springframework.context.aot

# Class AbstractAotProcessor.Settings

java.lang.Object
org.springframework.context.aot.AbstractAotProcessor.Settings

Enclosing class:
  AbstractAotProcessor<T>

public static final class AbstractAotProcessor.Settings extends Object
Common settings for AOT processors.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`AbstractAotProcessor.Settings.Builder`
Fluent builder API for `AbstractAotProcessor.Settings`.

## Method Summary

Modifier and Type
Method
Description
`static AbstractAotProcessor.Settings.Builder`
`builder()`
Create a new `AbstractAotProcessor.Settings.Builder` for `AbstractAotProcessor.Settings`.
`String`
`getArtifactId()`
Get the artifact ID of the application.
`Path`
`getClassOutput()`
Get the output directory for generated classes.
`String`
`getGroupId()`
Get the group ID of the application.
`Path`
`getResourceOutput()`
Get the output directory for generated resources.
`Path`
`getSourceOutput()`
Get the output directory for generated sources.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### builder

public static AbstractAotProcessor.Settings.Builder builder()
Create a new `AbstractAotProcessor.Settings.Builder` for `AbstractAotProcessor.Settings`.

### getSourceOutput

public Path getSourceOutput()
Get the output directory for generated sources.

### getResourceOutput

public Path getResourceOutput()
Get the output directory for generated resources.

### getClassOutput

public Path getClassOutput()
Get the output directory for generated classes.

### getGroupId

public String getGroupId()
Get the group ID of the application.

### getArtifactId

public String getArtifactId()
Get the artifact ID of the application.